Bug 1781835 - Links on pod log page aren't left-aligned at mobile
Summary: Links on pod log page aren't left-aligned at mobile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-10 16:44 UTC by Samuel Padgett
Modified: 2020-05-13 21:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Links on the pod log page are not left-aligned at mobile resolutions. Consequence: The layout of the links on the pod log page looks messy and confusing. Fix: Restore the links on the pod log page to the right side of the log viewer. Result: The apperance of the links on the pod log page is improved.
Clone Of:
Environment:
Version: 4.3.0-0.ci-2019-12-05-183852 Cluster ID: 573a7503-8ad7-4e91-9692-756279d2f3b3 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:71.0) Gecko/20100101 Firefox/71.0
Last Closed: 2020-05-13 21:54:33 UTC
Target Upstream Version:


Attachments (Terms of Use)
pod logs screenshot (179.47 KB, image/png)
2019-12-10 16:44 UTC, Samuel Padgett
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4213 None closed Bug 1781835: Fix bug where pod log links layout is wonky 2020-04-22 12:40:32 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:54:34 UTC

Description Samuel Padgett 2019-12-10 16:44:01 UTC
Created attachment 1643682 [details]
pod logs screenshot

See screenshot. The links should be left-aligned with the other content at smaller screen widths.

Comment 2 Yanping Zhang 2020-02-10 15:33:32 UTC
Tested on ocp 4.4 env with payload 4.4.0-0.nightly-2020-02-09-220310. Checked on pod log page on ipad, the external log link, "Download" link and "Expand" link will be left-aligned. When checked on pod log page on iphone, those links will be right-aligned.
The bug is fixed.

Comment 4 errata-xmlrpc 2020-05-13 21:54:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.